%define  upstream_name Workflow
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.4.1
Release:	%mkrel 3
Summary:	The purpose of the Workflow component is to provide the core functionality of an
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch



%description
The purpose of the Workflow component is to provide the core functionality
of an activity-based workflow system including the definition and execution of
workflow specifications.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Workflow.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Workflow.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Workflow
fi

%files
%defattr(-,root,root)
%doc docs/Workflow/*
%{peardir}/*
%{xmldir}/Workflow.xml


%changelog
* Tue Jul 19 2011 spuhler <spuhler> 1.4.1-3.mga2
+ Revision: 126237
- increase rel to 3
-Requires: 	ezcomponents-components-Base >= 1.8
  +Requires: 	ezcomponents-Base >= 1.8

* Sun Jul 17 2011 spuhler <spuhler> 1.4.1-2.mga2
+ Revision: 125511
- increased rel to 2
  changed components-Base >= 1.8 to Requires: ezcomponents-Base >= 1.8

* Sun Jul 17 2011 spuhler <spuhler> 1.4.1-1.mga2
+ Revision: 125434
- imported package ezcomponents-Workflow

